## gtk+3.0 3.24.4

=== debian/changelog ===
gtk+3.0 (3.24.4-0ubuntu1.1) cosmic; urgency=medium

  [ Andrea Azzarone ]
  * d/p/restore_filechooser_typeaheadfind.patch:
    - Disable typeahead if in search mode (LP: #1592177)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Mar 2019 21:26:23 +0100

gtk+3.0 (3.24.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (LP: #1808233)
    - Ensure that all emoji from the emoji chooser use emoji presentation
      instead of the black-and-white text presentation (LP: #1807719)
    - Fix variant selector in emoji chooser (LP: #1807721)
  * debian/libgtk-3-0.symbols: Add new symbols
  * Add patches to revert late changes that broke our build tests
    - Revert-update-some-a11y-test-results.patch
    - Revert-Update-a11-test-output.patch
  * Drop wayland-Avoid-crashes-inside-wl_proxy_marshal.patch:
    - Applied in new release
  * Update Vcs fields for ubuntu/cosmic branch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Jan 2019 12:13:24 -0500
