=== debian/control ===
--- 
+++ 
@@ -57,8 +57,8 @@
 Standards-Version: 4.2.1
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0?h=ubuntu/cosmic
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0 -b ubuntu/cosmic
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0
