## gtk+3.0 3.24.5

=== debian/changelog ===
gtk+3.0 (1:3.24.5-1.lnd.edu2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Tue, 15 Feb 2022 10:20:45 +0800

gtk+3.0 (1:3.24.5-1.lnd.edu2) unstable; urgency=medium

  * Bugs fixed:
    + Fix _gtk_widget_emulate_press segfaults if event is for a destroyed window
    + Menu: Fix touch support by using pointer emulation under X11
      - From: https://gitlab.gnome.org/GNOME/gtk/-/commit/faa748d4c9b03ff7c47f15f3504e42d9af0dd4da

 -- likexin <likexin@loongson.cn>  Fri, 07 Jan 2022 15:48:10 +0800

gtk+3.0 (3.24.5-1.lnd.edu1) unstable; urgency=medium

  * Initialized from upstream release

 -- Ling Yang <lingyang@loongson.cn>  Thu, 06 Jan 2022 19:44:51 +0800

gtk+3.0 (3.24.5-1) unstable; urgency=medium

  * New upstream release
    - Includes refreshed Adwaita and High Contrast themes
  * Cherry-pick Update-css-node-tests.patch:
    - Update test for GtkSwitch changes

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 12:02:24 -0500

gtk+3.0 (3.24.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 21 Jan 2019 12:00:53 -0500

gtk+3.0 (3.24.3-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtk-3-0.symbols: Add new symbol
  * Add -Wl,-O1 -Wl,--as-needed to our LDFLAGS
  * Enable all hardening flags
  * Drop patches applied in new release:
    - Revert-Fix-deprecation-warnings.patch
    - x11-Fix-deprecation-macro-use.patch
  * Add Revert-Update-a11-test-output.patch:
    - Revert another late change that broke our build tests

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 14 Jan 2019 14:03:05 -0500

gtk+3.0 (3.24.2-3) unstable; urgency=medium

  * Cherry-pick x11-Fix-deprecation-macro-use.patch:
    - Fix deprecation macro use to fix crashes seen on Xfce

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 13 Dec 2018 12:55:00 -0500

gtk+3.0 (3.24.2-2) unstable; urgency=medium

  * Add Revert-update-some-a11y-test-results.patch:
    - Revert a late change that broke our build tests
  * Use xvfb-run for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 13 Dec 2018 08:41:15 -0500

gtk+3.0 (3.24.2-1) unstable; urgency=medium

  * New upstream release (LP: #1808233)
    - Fix tooltip flickering regression in Xfce (Closes: #911148) (LP: #1798861)
  * Drop patches applied in new release:
    - wayland-Avoid-crashes-inside-wl_proxy_marshal.patch
    - Force-emoji-presentation.patch
    - emojichooser-Pass-chooser-to-add_emoji.patch
  * Cherry-pick Revert-Fix-deprecation-warnings.patch:
    - Fix typo that broke the build
  * debian/libgtk-3-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 12 Dec 2018 23:19:44 -0500

gtk+3.0 (3.24.1-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/wayland-Avoid-crashes-inside-wl_proxy_marshal.patch:
    Add patch from upstream (via Ubuntu) to fix a segfault under Wayland

  [ Jeremy Bicha ]
  * Stop using gnome-get-source
  * Update debian/gbp.conf
  * Cherry-pick Force-emoji-presentation.patch:
    - Ensure that all emoji from the emoji chooser use emoji presentation
      instead of the black-and-white text presentation (LP: #1807719)
  * Cherry-pick emojichooser-Pass-chooser-to-add_emoji.patch:
    - Fix variant selector in emoji chooser (LP: #1807721)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 10 Dec 2018 12:27:10 -0500

gtk+3.0 (3.24.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * d/libgtk-3-0.symbols: Mark gdk_wayland_window_announce_ssd() as
    Linux-specific, since we do not enable Wayland on non-Linux.
    This might fix FTBFS on kfreebsd-any.
  * d/rules: Generate files from .in counterparts for every package,
    not just the ones we are going to build. This avoids dh_missing
    false positives for files that would have gone into packages not
    included in the current build, for example libgtk-3-common during
    an amd64-only build.
  * d/tests: Also mark reftests as flaky due to a known failure:
    symbolic-icon-translucent-color appears to have regressed and now
    differs from the reference by 1 column of pixels
  * Revert "Temporarily (B-)D on libgl1-mesa-dev and libegl1-mesa-dev"
    now that libepoxy has been fixed
  * d/p/reftest-known-fail.patch: Reinstate
  * Make symbolic-icon-translucent-color.ui non-fatal during
    build-time tests

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Sep 2018 16:45:24 +0100
