## gtk+3.0 3.24.5.7

=== debian/changelog ===
gtk+3.0 (3.24.5.7-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 3b931d7730e44cbb1317c841e23ff64ad03001d2']

 -- shuttle <shuttle@deepin.com>  Tue, 03 Mar 2020 17:33:01 +0000
