=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: gtk+3.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>
-Build-Depends: adwaita-icon-theme-full <!nocheck>,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper (>= 10.3~),
-               dh-translations,
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 1.41.3),
                gsettings-desktop-schemas <!nocheck>,
@@ -18,12 +16,11 @@
                libcairo2-dev (>= 1.14.0),
                libcolord-dev (>= 0.1.9),
                libcups2-dev (>= 1.2),
-               libegl1-mesa-dev,
+               libegl1-mesa-dev [linux-any],
                libepoxy-dev (>= 1.4),
                libfontconfig1-dev,
                libgdk-pixbuf2.0-dev (>= 2.30.0),
                libgirepository1.0-dev (>= 1.39.0),
-               libgl1-mesa-dev,
                libglib2.0-dev (>= 2.53.4),
                libharfbuzz-dev (>= 0.9),
                libjson-glib-dev,
@@ -55,10 +52,8 @@
                      xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.2.1
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0?h=ubuntu/cosmic
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gtk+3.0 -b ubuntu/cosmic
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0
@@ -140,11 +135,10 @@
          libatk-bridge2.0-dev,
          libatk1.0-dev (>= 2.15.1),
          libcairo2-dev (>= 1.14.0),
-         libegl1-mesa-dev,
+         libegl1-mesa-dev [linux-any],
          libepoxy-dev (>= 1.0),
          libfontconfig1-dev,
          libgdk-pixbuf2.0-dev (>= 2.30.0),
-         libgl1-mesa-dev,
          libglib2.0-dev (>= 2.49.4),
          libpango1.0-dev (>= 1.41),
          libwayland-dev (>= 1.9.91) [linux-any],
