## gtk+3.0 3.24.5.10

=== debian/changelog ===
gtk+3.0 (3.24.5.10-1+deepin) unstable; urgency=medium

  [ gongheng ]
  * debian/patchs:
    - Add file Fix-two-select-dialog.patch. 
  * debian/pathchs/series:
    - Add file record in the series.

 -- gongheng <gongheng@uniontech.com>  Tue, 28 Dec 2021 16:30:00 +0800

gtk+3.0 (3.24.5.9-1+deepin) unstable; urgency=medium

  [ gongheng ]
  * debian/patchs:
    - Add file Fix-ddefiledialog-compatibility.patch. 
  * debian/pathchs/series:
    - Add file record in the series.

 -- gongheng <gongheng@uniontech.com>  Thu, 16 Dec 2021 10:50:00 +0800

gtk+3.0 (3.24.5.8-1+deepin) unstable; urgency=medium

  [ gongheng ]
  * debian/patchs:
    - Add file Fix-ddefiledialog-dbus.patch. 
  * debian/pathchs/series:
    - Add file record in the series.

 -- gongheng <gongheng@uniontech.com>  Tue, 14 Dec 2021 20:30:00 +0800

gtk+3.0 (3.24.5.7-2+deepin) unstable; urgency=low

  * fix gtk app startup with "g_value_set_boxed: assertion 'G_VALUE_HOLDS_BOXED (value) failed" error message 

 -- shuttle <hudeng@uniontech.com>  Tue, 03 Mar 2020 17:33:01 +0000
