=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,23 @@
 #!/usr/bin/make -f
 
-GNOME_MODULE = gtk+
 DISABLE_UPDATE_UPLOADERS = 1
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 include /usr/share/dpkg/default.mk
-
-binaries := $(shell dh_listpackages)
-
+include /usr/share/dpkg/pkg-info.mk
+
+built_binaries := $(shell dh_listpackages)
+all_binaries := $(shell sed -ne 's/^Package: *//p' < debian/control)
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # Ensure the build aborts when there are still references to undefined symbols
 # currently fails at least in the im-multipress im module
 #LDFLAGS += -Wl,-z,defs
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+
+ifeq ($(findstring mips64el, $(DEB_HOST_ARCH)), mips64el)
+	export  DEB_CPPFLAGS_SET= -malign-llsc-target -falign-functions=64 -falign-jumps=64 -falign-labels=64 -falign-loops=64
+	export  DEB_CFLAGS_SET= -malign-llsc-target -falign-functions=64 -falign-jumps=64 -falign-labels=64 -falign-loops=64
+endif
 
 APIVER := 3
 SONAME := 0
@@ -67,7 +74,7 @@
 	sed \
 		-e "s#@SONAME@#$(SONAME)#g" \
 		-e "s#@APIVER@#$(APIVER)#g" \
-		-e "s#@VERSION@#$(DEB_UPSTREAM_VERSION)#g" \
+		-e "s#@VERSION@#$(DEB_VERSION_UPSTREAM)#g" \
 		-e "s#@GTK_BINVER_DEP@#$(GTK_BINVER_DEP)#g" \
 		-e "s#@SHARED_PKG@#$(SHARED_PKG)#g" \
 		-e "s#@COMMON_PKG@#$(COMMON_PKG)#g" \
@@ -93,7 +100,6 @@
 
 configure_flags_deb = \
 	--enable-broadway-backend \
-	--disable-mir-backend \
 	--enable-x11-backend \
 	--enable-gtk-doc \
 	--enable-man \
@@ -115,13 +121,12 @@
 configure_flags_deb += --disable-wayland-backend
 endif
 
-ifeq ($(filter %-doc,$(binaries)),)
+ifeq ($(filter %-doc,$(built_binaries)),)
 configure_flags_deb += --disable-gtk-doc --disable-man
 endif
 
 configure_flags_udeb = \
 	--disable-broadway-backend \
-	--disable-mir-backend \
 	--disable-wayland-backend \
 	--enable-x11-backend \
 	--disable-introspection \
@@ -133,12 +138,13 @@
 	--disable-xrandr
 
 %:
-	dh $@ --with gir,translations
+	dh $@ --with gir
 
 override_dh_clean: debian/control
 	# gross kludge to force control generation with the %.in target
 	touch debian/control.in
-	rm -f $(call dh_subst_files,$(binaries))
+	rm -f $(call dh_subst_files,$(all_binaries))
+	rm -f testsuite/reftests/*.ui.known_fail
 	rm -rf debian/build debian/install
 	# The build system does not automatically update the GResource files
 	# when resources change. Force an update in case we ship a patch which
@@ -147,7 +153,7 @@
 	dh_clean
 
 # Add dependencies to generate files from the debian/*.in ones
-override_dh_auto_build: $(call dh_subst_files,$(binaries))
+override_dh_auto_build: $(call dh_subst_files,$(all_binaries))
 
 override_dh_autoreconf:
 	NOCONFIGURE=true dh_autoreconf ./autogen.sh
@@ -159,7 +165,7 @@
 		$(configure_flags_common) \
 		$(configure_flags_deb) \
 		$(NULL)
-ifneq ($(filter %-udeb,$(binaries)),)
+ifneq ($(filter %-udeb,$(built_binaries)),)
 	dh_auto_configure \
 		--builddirectory=debian/build/udeb \
 		-- \
@@ -170,31 +176,30 @@
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=debian/build/deb
-ifneq ($(filter %-udeb,$(binaries)),)
+ifneq ($(filter %-udeb,$(built_binaries)),)
 	dh_auto_build --builddirectory=debian/build/udeb
 endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Mark reftests with known failures as non-fatal
+	touch testsuite/reftests/symbolic-icon-translucent-color.ui.known_fail
 	# So that gsettings can find the (uninstalled) gtk schemas
 	mkdir -p debian/build/glib-2.0/schemas/
 	cp gtk/org.gtk.* debian/build/glib-2.0/schemas/
 	glib-compile-schemas debian/build/glib-2.0/schemas/
 	# Remove LD_PRELOAD so we don't run with fakeroot, which makes dbus-related tests fail
-	env -u LD_PRELOAD dh_auto_test --builddirectory=debian/build/deb -- -k check -j1
+	env -u LD_PRELOAD xvfb-run -a dh_auto_test --builddirectory=debian/build/deb -- -k check -j1
 endif
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/build/deb --destdir=debian/install/deb
 	rm -v -f debian/install/deb/usr/libexec/installed-tests/gtk+/reftests/libreftest.la
-ifneq ($(filter %-udeb,$(binaries)),)
+ifneq ($(filter %-udeb,$(built_binaries)),)
 	dh_auto_install --builddirectory=debian/build/udeb --destdir=debian/install/udeb
 endif
 
 override_dh_install:
-	# Install custom settings
-	mkdir -p debian/$(SHARED_PKG)/$(CONFDIR)
-	cp debian/settings.ini debian/$(SHARED_PKG)/$(CONFDIR)
 	dh_install -p$(UDEB_PKG) --sourcedir=debian/install/udeb
 	dh_install --remaining-packages --sourcedir=debian/install/deb
