=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,6 @@
 Depends: at-spi2-core, dbus (>= 1.8), gnome-desktop-testing (>= 2018.1-1~), gtk-3-examples, xauth, xvfb
 Restrictions: allow-stderr
 
-Tests: installed-tests-a11ystate
+Tests: installed-tests-a11ystate installed-tests-reftests
 Depends: at-spi2-core, dbus (>= 1.8), gnome-desktop-testing (>= 2018.1-1~), gtk-3-examples, xauth, xvfb
 Restrictions: allow-stderr, flaky
